=== debian/changelog ===
ros-noetic-rm-gazebo (0.1.17-1buster) buster; urgency=high

  * Merge pull request #99 <https://github.com/ye-luo-xi-tui/rm_control/issues/99> from ye-luo-xi-tui/master
    Fix bug
  * Fix bug.
  * Add gravity.
  * Merge branch 'rm-controls:master' into master
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Merge branch 'rm-controls:master' into master
  * Contributors: ye-luo-xi-tui, yezi, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.16-1buster) buster; urgency=high

  * Merge branch 'master' into new_ui_test
  * Merge branch 'master' into dev/command_sender
  * Merge pull request #79 <https://github.com/ye-luo-xi-tui/rm_control/issues/79> from ye-luo-xi-tui/rm_imu_handle
    Add RmImuSensorInterface and add a service to enable or disable imus in rm_gazebo
  * Add RmImuSensorInterface.
  * Add a service to enable or disable imus.
  * Merge branch 'dev'
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'master' into rm_referee_pr
  * Merge pull request #74 <https://github.com/ye-luo-xi-tui/rm_control/issues/74> from ye-luo-xi-tui/dev
    Update 0.1.15
  * Merge branch 'master' into referee
    # Conflicts:
    #     rm_common/include/rm_common/decision/service_caller.h
    #     rm_msgs/CMakeLists.txt
    #     rm_msgs/msg/referee/GameRobotStatus.msg
    #     rm_msgs/msg/referee/GameStatus.msg
  * Merge branch 'master' into referee1
  * Contributors: ye-luo-xi-tui, yezi, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.15-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 02 Sep 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.14-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.13-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 12 Jun 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.12-1buster) buster; urgency=high

  * Merge pull request #59 <https://github.com/ye-luo-xi-tui/rm_control/issues/59> from ye-luo-xi-tui/master
    0.1.11
  * Contributors: QiayuanLiao

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 11 Jun 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.11-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: QiayuanLiao, YuuinIH, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.10-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 22 May 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.9-1buster) buster; urgency=high

  * Revert "Update package.xml"
    This reverts commit 835659c320b5e1219ea9c61d04b4017a0c9a850a.
  * Update package.xml
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'master' of github.com:ye-luo-xi-tui/rm_control
  * Merge pull request #24 <https://github.com/ye-luo-xi-tui/rm_control/issues/24> from ye-luo-xi-tui/gazebo
    Load imu params into gazebo
  * Load imu params into gazebo.
  * Contributors: Jie j, QiayuanLiao, YuuinIH, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.8-1buster) buster; urgency=high

  * Fix imu inertia and add imu to balance
  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update CHANGELOG
  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update URDF of imu
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 07 Dec 2021 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.7-1buster) buster; urgency=high

  * 0.1.6
  * Update CHANGELOG
  * Update URDF of imu
  * Merge branch 'namespace' into rm_gazebo/imu_sensor_interface
  * Merge pull request #8 <https://github.com/rm-controls/rm_control/issues/8> from ye-luo-xi-tui/namespace
    Change name of namespace:from hardware_interface to rm_control.
  * Change name of namespace:from hardware_interface to rm_control.
  * Fix some stupid imu_sensor_interface bug in rm_gazebo
  * Tested rm_gazebo imu data using Debug in line.
    TODO: Add gravity and noise to the data
  * Add imu_sensor_interface without test.
  * Contributors: QiayuanLiao, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.6-1buster) buster; urgency=high

  * Update URDF of imu
  * Merge branch 'namespace' into rm_gazebo/imu_sensor_interface
  * Merge pull request #8 <https://github.com/rm-controls/rm_control/issues/8> from ye-luo-xi-tui/namespace
    Change name of namespace:from hardware_interface to rm_control.
  * Change name of namespace:from hardware_interface to rm_control.
  * Fix some stupid imu_sensor_interface bug in rm_gazebo
  * Tested rm_gazebo imu data using Debug in line.
    TODO: Add gravity and noise to the data
  * Add imu_sensor_interface without test.
  * Contributors: QiayuanLiao, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.5-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.4-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.3-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'master' into master
  * Use “pragma once” in rm_gazebo headers instead of include guards.
  * Merge branch 'master' into master
  * Contributors: QiayuanLiao, chenzheng, ye-luo-xi-tui, yezi
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'master' into master
  * Use “pragma once” in rm_gazebo headers instead of include guards.
  * Merge branch 'master' into master
  * Contributors: QiayuanLiao, chenzheng, ye-luo-xi-tui, yezi


