## ros-noetic-rm-gazebo 0.1.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
 find_package(catkin REQUIRED
         COMPONENTS
         roscpp
-        roslint
         rm_common
 
         gazebo_ros
@@ -111,9 +110,3 @@
 #      test/AlgorithmTest.cpp)
 #  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
 #endif ()
-
-##########################
-## Static code analysis ##
-##########################
-
-roslint_cpp()
